package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrSafetyBleedMapper;
import com.ruoyi.project.pssr.domain.TPssrSafetyBleed;
import com.ruoyi.project.pssr.service.ITPssrSafetyBleedService;

/**
 * 安全设施-紧急泄放阀Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrSafetyBleedServiceImpl implements ITPssrSafetyBleedService
{
    @Autowired
    private TPssrSafetyBleedMapper tPssrSafetyBleedMapper;

    /**
     * 查询安全设施-紧急泄放阀
     *
     * @param id 安全设施-紧急泄放阀ID
     * @return 安全设施-紧急泄放阀
     */
    @Override
    public TPssrSafetyBleed selectTPssrSafetyBleedById(Long id)
    {
        return tPssrSafetyBleedMapper.selectTPssrSafetyBleedById(id);
    }

    @Override
    public int selectNoConfirmCount(Long subId)
    {
        return tPssrSafetyBleedMapper.selectNoConfirmCount(subId);
    }
    @Override
    public TPssrSafetyBleed selectAllConfirmedPersonBySubId(TPssrSafetyBleed tPssrSafetyBleed)
    {
        return tPssrSafetyBleedMapper.selectAllConfirmedPersonBySubId(tPssrSafetyBleed);
    }

    /**
     * 查询安全设施-紧急泄放阀列表
     *
     * @param tPssrSafetyBleed 安全设施-紧急泄放阀
     * @return 安全设施-紧急泄放阀
     */
    @Override
    public List<TPssrSafetyBleed> selectTPssrSafetyBleedList(TPssrSafetyBleed tPssrSafetyBleed)
    {
        return tPssrSafetyBleedMapper.selectTPssrSafetyBleedList(tPssrSafetyBleed);
    }

    /**
     * 新增安全设施-紧急泄放阀
     *
     * @param tPssrSafetyBleed 安全设施-紧急泄放阀
     * @return 结果
     */
    @Override
    public int insertTPssrSafetyBleed(TPssrSafetyBleed tPssrSafetyBleed)
    {
        return tPssrSafetyBleedMapper.insertTPssrSafetyBleed(tPssrSafetyBleed);
    }

    /**
     * 修改安全设施-紧急泄放阀
     *
     * @param tPssrSafetyBleed 安全设施-紧急泄放阀
     * @return 结果
     */
    @Override
    public int updateTPssrSafetyBleed(TPssrSafetyBleed tPssrSafetyBleed)
    {
        return tPssrSafetyBleedMapper.updateTPssrSafetyBleed(tPssrSafetyBleed);
    }
    @Override
    public int updateAllBySubId(TPssrSafetyBleed tPssrSafetyBleed)
    {
        return tPssrSafetyBleedMapper.updateAllBySubId(tPssrSafetyBleed);
    }

    /**
     * 批量删除安全设施-紧急泄放阀
     *
     * @param ids 需要删除的安全设施-紧急泄放阀ID
     * @return 结果
     */
    @Override
    public int deleteTPssrSafetyBleedByIds(Long[] ids)
    {
        return tPssrSafetyBleedMapper.deleteTPssrSafetyBleedByIds(ids);
    }

    /**
     * 删除安全设施-紧急泄放阀信息
     *
     * @param id 安全设施-紧急泄放阀ID
     * @return 结果
     */
    @Override
    public int deleteTPssrSafetyBleedById(Long id)
    {
        return tPssrSafetyBleedMapper.deleteTPssrSafetyBleedById(id);
    }
}
